CensusDictionaryCreatorTool (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.namefind

## Class CensusDictionaryCreatorTool

- java.lang.Object
- - opennlp.tools.cmdline.CmdLineTool
  - - opennlp.tools.cmdline.BasicCmdLineTool
    - - opennlp.tools.cmdline.namefind.CensusDictionaryCreatorTool

-     public class CensusDictionaryCreatorTool
      extends opennlp.tools.cmdline.BasicCmdLineTool

  This tool helps create a loadable dictionary for the `NameFinder`, from data collected from US Census data.

  Data for the US Census and names can be found here for the 1990 Census:
  www.census.gov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CensusDictionaryCreatorTool()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dictionary` | `createDictionary(ObjectStream<StringList> sampleStream)` Creates a dictionary.
    `String` | `getHelp()` Retrieves a description on how to use the tool.
    `String` | `getShortDescription()` Retrieves a short description of what the tool does.
    `void` | `run(String[] args)` Executes the tool with the given parameters.

    - ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

      `getName, hasParams`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CensusDictionaryCreatorTool

          public CensusDictionaryCreatorTool()

  - ### Method Detail

    - #### getShortDescription

          public String getShortDescription()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a short description of what the tool does.
      Overrides:
        `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a short description of what the tool does

    - #### getHelp

          public String getHelp()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a description on how to use the tool.
      Specified by:
        `getHelp` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a description on how to use the tool

    - #### createDictionary

          public static Dictionary createDictionary(ObjectStream<StringList> sampleStream)
                                             throws IOException

      Creates a dictionary.
      Parameters:
        `sampleStream` - stream of samples.
      Returns:
        a `Dictionary` class containing the name dictionary built from the input file.
      Throws:
        `IOException` - IOException

    - #### run

          public void run(String[] args)

      Description copied from class: `opennlp.tools.cmdline.BasicCmdLineTool`
      Executes the tool with the given parameters.
      Specified by:
        `run` in class `opennlp.tools.cmdline.BasicCmdLineTool`
      Parameters:
        `args` - arguments

Copyright © 2026 The Apache Software Foundation. All rights reserved.